DEX
---

Utilities
*********

.. autofunction:: lief.DEX.is_dex

.. autofunction:: lief.DEX.version


----------

Parser
*******

.. autofunction:: lief.DEX.parse

----------


File
****

.. autoclass:: lief.DEX.File
  :members:
  :inherited-members:
  :undoc-members:

----------

Header
******

.. autoclass:: lief.DEX.Header
  :members:
  :inherited-members:
  :undoc-members:


----------

Method
******

.. autoclass:: lief.DEX.Method
  :members:
  :inherited-members:
  :undoc-members:


----------

Class
******

.. autoclass:: lief.DEX.Class
  :members:
  :inherited-members:
  :undoc-members:

----------

Code Info
*********

.. autoclass:: lief.DEX.CodeInfo
  :members:
  :inherited-members:
  :undoc-members:


----------

Prototype
*********

.. autoclass:: lief.DEX.Prototype
  :members:
  :inherited-members:
  :undoc-members:


----------

Type
****

.. autoclass:: lief.DEX.Type
  :members:
  :inherited-members:
  :undoc-members:

----------

MapList
*******

.. autoclass:: lief.DEX.MapList
  :members:
  :inherited-members:
  :undoc-members:

----------

MapItem
*******

.. autoclass:: lief.DEX.MapItem
  :members:
  :inherited-members:
  :undoc-members:


----------

Enums
*****


Access Flags
~~~~~~~~~~~~

.. autoclass:: lief.DEX.ACCESS_FLAGS
  :members:
  :inherited-members:
  :undoc-members:










